Intel heeft in een nieuwe mededeling fabrikanten, softwaremakers en eindgebruikers aangeraden om de huidige versie van zijn Meltdown- en Spectre-patches niet toe te passen op bepaalde systemen. Het zegt de oorzaak van de herstartproblemen te hebben gevonden.

Intel schrijft dat het de oorzaak van de herstartproblemen, die het gevolg waren van de patches, heeft kunnen achterhalen op Haswell- en Broadwell-systemen. Daarom raadt het aan om de huidige patches niet door te voeren op bepaalde systemen, waaronder ook systemen met nieuwere processors van bijvoorbeeld de Kaby Lake- en Skylake-generatie. Het volledige overzicht is te vinden in een lijst. Daarin staan de microcodeversies de niet toegepast dienen te worden en de versies die volgens Intel wel bruikbaar zijn.

Doordat de oorzaak nu bekend is, vraagt Intel zijn partners om de nieuwe code te testen om het uitbrengen van stabiele patches te versnellen. De chipmaker heeft gedurende het weekend een testversie onder zijn partners verspreid en wil de definitieve versie uitbrengen zodra de tests zijn afgerond. Voor gebruikers met getroffen systemen lijkt dit te betekenen dat het wachten is op nieuwe bios-updates van moederbordfabrikanten, al schrijft Intel nog steeds dat het consumenten aanraadt om hun systemen up-to-date te houden.

In de eerdergenoemde lijst zegt Intel nog dat het aan een stabiele patch werkt die mitigations voor de eerste Spectre-variant en Meltdown bevat, maar geen bescherming tegen de tweede Spectre-variant heeft. Onlangs meldde Intel dat het op de hoogte was van herstartproblemen op Broadwell- en Haswell-systemen, maar een week later bleken ook nieuwere cpu's geplaagd te zijn door dezelfde verschijnselen. Uit de huidige communicatie komt niet duidelijk naar voren of Intel nu ook daarvan de oorzaak heeft achterhaald.

 

Reacties mogelijk gemaakt door CComment